xmltooling::ReplayCache Class Reference

Helper class on top of StorageService for detecting message replay. More...

`#include <xmltooling/util/ReplayCache.h>`

## Public Member Functions

| ReplayCache (StorageService *storage=0)
| Creates a replay cache on top of a particular StorageService.
virtual bool | check (const char *context, const char *s, time_t expires)
| Returns true iff the check value is not found in the cache, and stores it.
bool | check (const char *context, const XMLCh *s, time_t expires)
| Returns true iff the check value is not found in the cache, and stores it.

## Detailed Description

Helper class on top of StorageService for detecting message replay.

## Constructor & Destructor Documentation

## ReplayCache()

xmltooling::ReplayCache::ReplayCache | ( | StorageService * | storage = 0 | ) |

Creates a replay cache on top of a particular StorageService.

The lifetime of the StorageService MUST be longer than the lifetime of the ReplayCache.

Parameters

  storage | pointer to a StorageService, or nullptr to keep cache in memory

## Member Function Documentation

## check() [1/2]

virtual bool xmltooling::ReplayCache::check | ( | const char * | context,
|  | const char * | s,
|  | time_t | expires )

virtual

Returns true iff the check value is not found in the cache, and stores it.

Parameters

  context | a context label to subdivide the cache
  s | value to check
  expires | time for disposal of value from cache

## check() [2/2]

bool xmltooling::ReplayCache::check | ( | const char * | context,
|  | const XMLCh * | s,
|  | time_t | expires )

Returns true iff the check value is not found in the cache, and stores it.

Parameters

  context | a context label to subdivide the cache
  s | value to check
  expires | time for disposal of value from cache

The documentation for this class was generated from the following file:

- xmltooling/util/ReplayCache.h